List schedulers
curl --request GET \
--url https://api.syntage.com/schedulers \
--header 'X-API-Key: <api-key>'{
"@context": "/contexts/Scheduler",
"@id": "/schedulers",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/schedulers/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Scheduler",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Daily Invoices Scheduler",
"type": "recurring",
"isEnabled": true,
"rules": {
"@context": "/contexts/SchedulerRule",
"@id": "/schedulers/rules",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/schedulers/rules/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "SchedulerRule",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"scheduler": "Daily Invoices Scheduler",
"options": {
"types": [
"I",
"E",
"P"
],
"period": {
"from": "2020-01-01T00:00:00.000Z",
"to": "2020-03-31T23:59:59.000Z"
}
},
"cronExpression": "@daily",
"nextRunDate": "2020-01-01T12:15:00.000Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "/schedulers/rules?page=1",
"@type": "hydra:PartialCollectionView",
"hydra:first": "/schedulers/rules?page=1",
"hydra:next": "/schedulers/rules?page=2",
"hydra:last": "/schedulers/rules?page=3"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
},
"tags": [
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Important Taxpayer",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}Schedulers
List schedulers
List all schedulers
GET
/
schedulers
List schedulers
curl --request GET \
--url https://api.syntage.com/schedulers \
--header 'X-API-Key: <api-key>'{
"@context": "/contexts/Scheduler",
"@id": "/schedulers",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/schedulers/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Scheduler",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Daily Invoices Scheduler",
"type": "recurring",
"isEnabled": true,
"rules": {
"@context": "/contexts/SchedulerRule",
"@id": "/schedulers/rules",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/schedulers/rules/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "SchedulerRule",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"scheduler": "Daily Invoices Scheduler",
"options": {
"types": [
"I",
"E",
"P"
],
"period": {
"from": "2020-01-01T00:00:00.000Z",
"to": "2020-03-31T23:59:59.000Z"
}
},
"cronExpression": "@daily",
"nextRunDate": "2020-01-01T12:15:00.000Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "/schedulers/rules?page=1",
"@type": "hydra:PartialCollectionView",
"hydra:first": "/schedulers/rules?page=1",
"hydra:next": "/schedulers/rules?page=2",
"hydra:last": "/schedulers/rules?page=3"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
},
"tags": [
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Important Taxpayer",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
The collection cursor pointer to the next page
The collection cursor pointer to the previous page
The number of items per page
Required range:
1 <= x <= 1000⌘I